<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./src/css/style.css">
    <title>Welcome-to</title>
</head>
    <body>
        <div class="deck">
            <div id="pack-A">

            </div>
            <div id="pack-B">

            </div>
            <div id="pack-C">

            </div>

            <div>
                <button onclick="turnCard()">Tourner</button>
            </div>
        </div>


        <script src="./src/js/utils.js"></script>

          <script>
              let pack_A = document.getElementById("pack-A")
              let pack_B = document.getElementById("pack-B")
              let pack_C = document.getElementById("pack-C")

              let generateCard = () => {
                pack_A.appendChild(createCard())
                pack_B.appendChild(createCard())
                pack_C.appendChild(createCard())
              }

              let turnCard = () => {
                pack_A.lastChild.lastChild.classList.add('turn')
                pack_B.lastChild.lastChild.classList.add('turn')
                pack_C.lastChild.lastChild.classList.add('turn')
                generateCard()
              }

              generateCard()
          </script>
    </body>
</html>